<template>
    <div class="content__leftAnalitika">
        <router-link :to="route('users')" class="link-back">
            <svg>
                <use xlink:href="/img/sprite.svg#long-arrow-pointing-to-the-right"/>
            </svg>
            {{ $t('ui.back') }}
        </router-link>
        <user-form :user="user" @reload-user="load"/>
        <user-wallets-form :user="user" @reload-user="load" v-if="balances_type === 'divided'"/>
        <short-deposits :user="user"/>
        <short-refills :user="user"/>
        <short-withdraws :user="user"/>
        <short-referrals :user="user"/>
        <short-logs :user="user"/>
        <create-deposit :user="user" :wallets="user.wallets"/>
        <div class="control-userSendMess wow fadeInUp">
            <create-ticket :user="user"/>
			<send-mail :user="user"></send-mail>
        </div>
        <short-tickets :user="user"/>
    </div>
</template>

<script>
import {mapGetters} from 'vuex';
import route from "Admin/mixins/route";
import UserForm from "Admin/components/users/UserForm";
import UserWalletsForm from "Admin/components/users/UserWalletsForm";
import ShortDeposits from "Admin/components/users/ShortDeposits";
import ShortLogs from "Admin/components/users/ShortLogs";
import ShortMessages from "Admin/components/users/ShortMessages";
import ShortReferrals from "Admin/components/users/ShortReferrals";
import ShortRefills from "Admin/components/users/ShortRefills";
import ShortWithdraws from "Admin/components/users/ShortWithdraws";
import CreateDeposit from "Admin/components/users/CreateDeposit";
import ShortTickets from "Admin/components/users/ShortTickets";
import CreateTicket from "Admin/components/users/CreateTicket";
import SendMail from "Admin/components/users/SendMail";

export default {
		name: "User",
        mixins: [route],
        props: ['id'],
        data(){
		    return {
		        user: {
		            id: this.id
                }
            }
        },
        computed: {
            ...mapGetters([
                'axios',
                'balances_type',
            ]),
        },
        methods: {
		    load(){
		        this.axios
                    .get(`users/${this.id}`)
                    .then(resp => resp.data)
                    .then(user => this.user = user);
            }
        },
        components: {
			CreateTicket,
			ShortTickets,
		    UserForm,
            UserWalletsForm,
            ShortDeposits,
            ShortLogs,
            ShortMessages,
            ShortReferrals,
            ShortRefills,
            ShortWithdraws,
            CreateDeposit,
			SendMail
        },
        mounted() {
		    this.load();
        }
    }
</script>

<style scoped>

</style>
